//-------------------------------------------------------------------
//  PROGRAM:            CDIALOG.H
//
//  DESCRIPTION:        Header for CDIALOG.CPP
//
//                      Written by Carlos Yu
//
//  NOTE:             The program design is kinda hacked because
//                    this is my first attempt at creating a
//                    fully functional Windows program using
//                    OWL and C++.
//
//                    Any suggestions on making the program better,
//                    specially the DealCards module which is
//                    painfully slow, would be greatly appreciated.
//
//                    Compuserve ID 72672,1567
//-------------------------------------------------------------------

#include <owl.h>
#include <dialog.h>


//--------------------------------
//  Push Button Constans
//--------------------------------

#define ID_YESPUSHED             6
#define ID_NOPUSHED              7
#define ID_INFOPUSHED          444
#define INFODIALOG             700


class CDialog : public TDialog
{
    private:
        int                      xPos,
                                 yPos;

        HWND                     parentHandle;

    public:
        CDialog(PTWindowsObject AParent, int ResourceId) :
            TDialog(AParent, ResourceId)
        {
            parentHandle = AParent->HWindow;
        }
        
        virtual void SetupWindow();


        virtual void YesChosen(RTMessage)
            = [ID_FIRST + ID_YESPUSHED];

        virtual void NoChosen(RTMessage)
            = [ID_FIRST + ID_NOPUSHED];

        virtual void InfoChosen(RTMessage)
            = [ID_FIRST + ID_INFOPUSHED];
};
